> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Forward Mode の概要

> より低い導入ハードルで Agent を業務シーンに落とし込むモードレイヤー。「企業 / テンプレート / ユーザー」の三層構成モデルで Agent 能力を提供します。

Forward Mode は [Build Mode](/ja/cloud-agents/api/agents/list) の上に構築された受管の提供レイヤーです。管理者が三層構成モデル(企業 / テンプレート / アイデンティティ)で Agent の形態と利用可能なリソースをあらかじめ設定し、呼び出し側は `template_id` と `identity_id` を渡すだけで Agent を利用できます。基盤となるランタイムの詳細を意識する必要はありません。

Forward Mode は IM チャネル連携、定時トリガー(Schedules)、エンドユーザーの身元分離(Identities)を標準搭載しており、SaaS 事業者、業務インテグレーター、そして C 向けや大量の呼び出し側を抱えるチームに適しています。

## ベース URL

すべての Forward エンドポイントは本番ゲートウェイを使用します:

```text theme={null}
https://api.qoder.com/api/v1/forward
```

## 認証

すべての Forward エンドポイントは Qoder PAT 認証を必要とします:

| ヘッダー            | 必須 | 説明             |
| --------------- | -- | -------------- |
| `Authorization` | はい | `Bearer <PAT>` |

副作用のある `POST` エンドポイントは `Idempotency-Key` ヘッダーを受け付ける場合があります。

## リソースファミリー

| リソース                   | 説明                                                    |
| ---------------------- | ----------------------------------------------------- |
| **Templates**          | デフォルトの Agent / Session 設定を定義する、再利用可能な Agent 形態のベースライン |
| **Identities**         | アイデンティティ単位の設定オーバーライドと分離を備えたエンドユーザー身元                  |
| **Sessions**           | テンプレート + アイデンティティから開始する対話またはタスク実行                     |
| **Schedules**          | Cron または一回限りのトリガー実行                                   |
| **Schedule runs**      | Schedules が生成する実行記録                                   |
| **Channels**           | 外部 IM チャネルとの連携                                        |
| **Resources Registry** | 共有リソースを Forward に登録                                   |

## エラーエンベロープ

エラーは Forward のエラーエンベロープを使用します:

```json theme={null}
{
  "type": "error",
  "request_id": "req_xxx",
  "error": {
    "type": "invalid_request_error",
    "code": "invalid_request_body",
    "message": "invalid request body"
  }
}
```

## 関連

<CardGroup cols={2}>
  <Card title="Template を作成" icon="file-plus" href="/ja/cloud-agents/api/forward/templates/create" />

  <Card title="Session を作成" icon="comment" href="/ja/cloud-agents/api/forward/sessions/create" />
</CardGroup>
